> ## Documentation Index
> Fetch the complete documentation index at: https://docs.developers.mijnklantportaal.nl/llms.txt
> Use this file to discover all available pages before exploring further.

# Close Payment Link

> Close the Payment Link so it can not be used anymore. Useful for reusable links.



## OpenAPI

````yaml /openapi.yaml delete /payment-links/{linkId}
openapi: 3.1.1
info:
  title: MijnKlantportaal API
  version: v1
servers:
  - url: https://api.mijnklantportaal.nl/v1
security:
  - APIKey: []
tags:
  - name: Agreements API
  - name: Appointments API
  - name: Customers API
  - name: Customer Groups API
  - name: Customer Invoices API
  - name: Customer Offers API
  - name: Customer Subscriptions API
  - name: Customer Subscription Packages API
  - name: Files API
  - name: File Request API
  - name: File Share API
  - name: Invoices API
  - name: Payment Links API
  - name: Punch Cards API
  - name: Tickets API
  - name: Webhooks API
paths:
  /payment-links/{linkId}:
    delete:
      tags:
        - Payment Links API
      summary: Close Payment Link
      description: >-
        Close the Payment Link so it can not be used anymore. Useful for
        reusable links.
      operationId: close-payment-link
      parameters:
        - name: linkId
          in: path
          description: ID of the Payment Link to close
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The updated Payment Link
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaymentLink'
        '404':
          description: No Payment Link can be found for the given ID
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error_ApiError'
        '422':
          description: Payment Link is already closed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error_ApiError'
components:
  schemas:
    PaymentLink:
      type: object
      description: Payment Link
      properties:
        id:
          type: string
          example: plk_abc12345def678
          description: ID of the offer, always starting with `plk_`.
        description:
          type: string
          example: Contribution costs
          description: Description which will be used on the bank statement of the payer
        currency:
          type: string
          example: EUR
          description: Currency
        amount:
          type: string
          example: '12.95'
          description: Amount value as `string`.
        reusable:
          type: boolean
          example: true
          description: >-
            Indicates if the link can be used multiple times after a payment was
            successful
        expiresAt:
          type: string
          nullable: true
          example: '2024-05-14T21:00:00+02:00'
          description: >-
            Date and time the link will expire and so not longer can used, if
            set. Written in ATOM format.
        status:
          type: string
          example: open
          description: >-
            Current status of the link. Possible values are `open`, `paid`,
            `expired` and `closed`.
        checkoutUrl:
          type: string
          example: https://demo.mijnklantportaal.nl/payment-link/plk_abc12345def678
          nullable: true
          description: >-
            The actual link where you can redirect a payer to for doing the
            payment. Will return `null` when the payment link can no longer be
            used.
        createdAt:
          type: string
          example: '2024-04-29T21:00:00+02:00'
          description: >-
            Date and time when the payment link was created. Written in ATOM
            format.
    Error_ApiError:
      type: object
      properties:
        message:
          type: string
          description: Explanation what went wrong
  securitySchemes:
    APIKey:
      type: http
      scheme: bearer

````